| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoTextureQualityElement Class Reference
Element Classes

The SoTextureQualityElement is yet to be documented.FIXME: write doc. More...

`#include <Inventor/elements/SoTextureQualityElement.h>`

Inheritance diagram for SoTextureQualityElement:

## Public Member Functions

virtual void | init (SoState *state)
| FIXME: write doc.
Public Member Functions inherited from SoFloatElement
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo (void) const
virtual void | print (FILE *file) const
virtual void | setElt (float value)
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions

static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *const state, SoNode *const node, const float quality)
static void | set (SoState *const state, const float quality)
static float | get (SoState *const state)
static float | getDefault (void)
Static Public Member Functions inherited from SoFloatElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
static void | set (const int stackIndex, SoState *const state, SoNode *const node, const float value)
static void | set (const int stackIndex, SoState *const state, const float value)
static float | get (const int stackIndex, SoState *const state)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions

virtual | ~SoTextureQualityElement ()
Protected Member Functions inherited from SoFloatElement
virtual | ~SoFloatElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members

Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoFloatElement
float | data
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoTextureQualityElement is yet to be documented.

FIXME: write doc.

## Constructor & Destructor Documentation

SoTextureQualityElement::~SoTextureQualityElement | ( | ) |  |

protectedvirtual

The destructor.

## Member Function Documentation

void * SoTextureQualityElement::createInstance | ( | void | ) |  |

static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoTextureQualityElement::initClass | ( | void | ) |  |

static

This static method initializes static data for the SoTextureQualityElement class.

void SoTextureQualityElement::set | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const float | quality
| ) |  |

static

FIXME: write doc.

void SoTextureQualityElement::set | ( | SoState *const | state,
|  | const float | quality
| ) |  |

static

FIXME: write doc.

float SoTextureQualityElement::get | ( | SoState *const | state) |  |

static

FIXME: write doc.

float SoTextureQualityElement::getDefault | ( | void | ) |  |

static

FIXME: write doc.

The documentation for this class was generated from the following files:

- SoTextureQualityElement.h
- SoTextureQualityElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.